Package org.apache.ignite.internal.management.tracing

## Class TracingConfigurationSetCommandArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.tracing.TracingConfigurationCommand.TracingConfigurationCommandArg
    - - org.apache.ignite.internal.management.tracing.TracingConfigurationGetCommandArg
      - - org.apache.ignite.internal.management.tracing.TracingConfigurationSetCommandArg

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class TracingConfigurationSetCommandArg
    extends TracingConfigurationGetCommandArg

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`TracingConfigurationSetCommandArg()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Scope[]` `includedScopes()`
`void` `includedScopes​(Scope[] includedScopes)`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`double` `samplingRate()`
`void` `samplingRate​(double samplingRate)`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.management.tracing.TracingConfigurationGetCommandArg

`label, label, scope, scope`

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TracingConfigurationSetCommandArg

    public TracingConfigurationSetCommandArg()

### Method Detail

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Overrides:
  `writeExternalData` in class `TracingConfigurationGetCommandArg`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Overrides:
  `readExternalData` in class `TracingConfigurationGetCommandArg`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### samplingRate

    public double samplingRate()

#### samplingRate

    public void samplingRate​(double samplingRate)

#### includedScopes

    public Scope[] includedScopes()

#### includedScopes

    public void includedScopes​(Scope[] includedScopes)